### Method

# GtkSource CompletionProvider is_trigger

#### Declaration [src]

    gboolean
    gtk_source_completion_provider_is_trigger (
      GtkSourceCompletionProvider* self,
      const GtkTextIter* iter,
      gunichar ch
    )

#### Description [src]

This function is used to determine if a character inserted into the text editor should cause a new completion request to be triggered.

An example would be period ‘.’ which might indicate that the user wants to complete method or field names of an object.

This method will only trigger when text is inserted into the `GtkTextBuffer` while the completion list is visible and a proposal is selected. Incremental key-presses (like shift, control, or alt) are not triggerable.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`ch`

  Type: `gunichar`

  A #gunichar of the character inserted.

#### Return value

Type: `gboolean`

No description available.